import React, { createContext, useRef, useState } from 'react';
import ReactDom from 'react-dom';
import {BrowserRouter, Redirect, Route, Switch as RouterSwitch} from 'react-router-dom';
import { Gallery, ContentAbout, LoginPage, NotFoundPage} from './page/mod';
import {UserContext} from './state';

import './css/style.css';

const FooProfile = ()=><div>test profile</div>;
const App = () => {
    const [user,setUser] = useState("");
    const [userPermission,setUserPermission] = useState<string[]>([]);
    return (
    <UserContext.Provider value={{
        username:user,
        setUsername:setUser,
        permission:userPermission,
        setPermission:setUserPermission}}>
        <BrowserRouter>
                <RouterSwitch>
                    <Route path="/" exact render={()=><Redirect to='/search?'/>}></Route>
                    <Route path="/search" render={()=><Gallery />}></Route>
                    <Route path="/doc" render={(prop)=><ContentAbout {...prop}/>}></Route>
                    <Route path="/login" render={()=><LoginPage></LoginPage>}/>
                    <Route path="/profile" component={FooProfile}></Route>
                    <Route>
                        <NotFoundPage/>
                    </Route>
                </RouterSwitch>
        </BrowserRouter>
    </UserContext.Provider>);
};

ReactDom.render(
    <App/>,
    document.getElementById("root")
)