import React from 'react';
import {List, ListItem, ListItemIcon, Tooltip, ListItemText} from '@material-ui/core';
import {ArrowBack as ArrowBackIcon} from '@material-ui/icons';
import {Link as RouterLink, useHistory} from 'react-router-dom';

export const NavItem = (props:{name:string,to:string, icon:React.ReactElement<any,any>})=>{
    const history = useHistory();
    return (<ListItem button key={props.name} component={RouterLink} to={props.to}>
    <ListItemIcon>
        <Tooltip title={props.name.toLocaleLowerCase()} placement="bottom">
            {props.icon}
        </Tooltip>
    </ListItemIcon>
    <ListItemText primary={props.name}></ListItemText>
</ListItem>);
}

export const NavList = (props: {children?:React.ReactNode})=>{
    return (<List>
            {props.children}
        </List>);
}

export const BackItem = (props:{to?:string})=>{
    return <NavItem name="Back" to={props.to ?? "/"} icon={<ArrowBackIcon></ArrowBackIcon>}/>;
}